Guest User

Untitled

a guest
Apr 15th, 2020
40
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. vagrant@jordietphp5:~/iberotasa/dedomeno/dedomeno$ sudo python3.6 manage.py runserver
  2. Performing system checks...
  3.  
  4. Exception in thread django-main-thread:
  5. Traceback (most recent call last):
  6. File "/usr/local/lib/python3.6/dist-packages/django/template/utils.py", line 66, in __getitem__
  7. return self._engines[alias]
  8. KeyError: 'django'
  9.  
  10. During handling of the above exception, another exception occurred:
  11.  
  12. Traceback (most recent call last):
  13. File "/usr/local/lib/python3.6/dist-packages/django/template/backends/django.py", line 121, in get_package_libraries
  14. module = import_module(entry[1])
  15. File "/usr/lib/python3.6/importlib/__init__.py", line 126, in import_module
  16. return _bootstrap._gcd_import(name[level:], package, level)
  17. File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  18. File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  19. File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  20. File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  21. File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  22. File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  23. File "/usr/local/lib/python3.6/dist-packages/django_bootstrap_breadcrumbs/templatetags/django_bootstrap_breadcrumbs.py", line 19, in <module>
  24. from six import wraps
  25. ImportError: cannot import name 'wraps'
  26.  
  27. During handling of the above exception, another exception occurred:
  28.  
  29. Traceback (most recent call last):
  30. File "/usr/lib/python3.6/threading.py", line 916, in _bootstrap_inner
  31. self.run()
  32. File "/usr/lib/python3.6/threading.py", line 864, in run
  33. self._target(*self._args, **self._kwargs)
  34. File "/usr/local/lib/python3.6/dist-packages/django/utils/autoreload.py", line 53, in wrapper
  35. fn(*args, **kwargs)
  36. File "/usr/local/lib/python3.6/dist-packages/django/core/management/commands/runserver.py", line 117, in inner_run
  37. self.check(display_num_errors=True)
  38. File "/usr/local/lib/python3.6/dist-packages/django/core/management/base.py", line 395, in check
  39. include_deployment_checks=include_deployment_checks,
  40. File "/usr/local/lib/python3.6/dist-packages/django/core/management/base.py", line 382, in _run_checks
  41. return checks.run_checks(**kwargs)
  42. File "/usr/local/lib/python3.6/dist-packages/django/core/checks/registry.py", line 72, in run_checks
  43. new_errors = check(app_configs=app_configs)
  44. File "/usr/local/lib/python3.6/dist-packages/django/contrib/admin/checks.py", line 76, in check_dependencies
  45. for engine in engines.all():
  46. File "/usr/local/lib/python3.6/dist-packages/django/template/utils.py", line 90, in all
  47. return [self[alias] for alias in self]
  48. File "/usr/local/lib/python3.6/dist-packages/django/template/utils.py", line 90, in <listcomp>
  49. return [self[alias] for alias in self]
  50. File "/usr/local/lib/python3.6/dist-packages/django/template/utils.py", line 81, in __getitem__
  51. engine = engine_cls(params)
  52. File "/usr/local/lib/python3.6/dist-packages/django/template/backends/django.py", line 25, in __init__
  53. options['libraries'] = self.get_templatetag_libraries(libraries)
  54. File "/usr/local/lib/python3.6/dist-packages/django/template/backends/django.py", line 43, in get_templatetag_libraries
  55. libraries = get_installed_libraries()
  56. File "/usr/local/lib/python3.6/dist-packages/django/template/backends/django.py", line 108, in get_installed_libraries
  57. for name in get_package_libraries(pkg):
  58. File "/usr/local/lib/python3.6/dist-packages/django/template/backends/django.py", line 125, in get_package_libraries
  59. "trying to load '%s': %s" % (entry[1], e)
  60. django.template.library.InvalidTemplateLibrary: Invalid template library specified. ImportError raised when trying to load 'django_bootstrap_breadcrumbs.templatetags.django_bootstrap_breadcrumbs': cannot import name 'wraps'
RAW Paste Data